Subject: bug#22306: 24.5; Unhide --no-line-directive Documentation

From: Francesco Potortì <[email-masked]>
Date: Sun, 10 Jan 2016 00:26:55 +0100

>> From: James Muchow <[email-masked]>
>> Date: Mon, 4 Jan 2016 19:41:28 +0000
>> 
>> In trying to create a TAGS file, etags would process the
>> #line directive in various source files and produce TAGS 
>> files that were unusable because the "file name" included
>> would be unavailable causing the tags-search to exit before
>> having seen all files.
>> 
>> I spent a lot of time coming up with a solution to avoid
>> any files that contained a line directive when the solution
>> I really needed was already present: --no-line-directive.
>> It is, however, undocumented and thus the only way to know
>> about it is to download the source. I downloaded the source
>> to try and find out what etags was doing wrong with #line
>> when I discovered this undocumented option.
>> 
>> I see from the source that the --no-line-directive is hidden
>> by the PRINT_UNDOCUMENTED_OPTIONS_HELP; I think it would be
>> helpful for others to remove this restriction.
>
>Francesco,
>
>Are there any reasons to keep this option (and a few others) hidden
>from the user eyes?

For this specific otion, the logs say that I undocumented it in 2002.
As far as I can recall, this was because the option seemed too much
technical to me, that is of little use and difficult to explain.  I
think I adopted the same criterion for undocumenting the other options.